Deactivate "Open ""... entry in "Recent projects" list for unavailable projects

2018-12-18 11:41 AM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.4.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28655

Description

When opening a new session of QGIS, The "Recent projects" list will show unavailable/lost project in a grayed color. A right-click over

these files allows to refresh (refresh what?)  or remove the file from the list.

But there's also an Open ""... entry (should be "open directory..." if file was available) that does nothing. It could be nice to deactivate/hide

that entry if the file is not accessible and give it a sexy label.

History

#1 - 2018-12-18 09:37 PM - Nyall Dawson

- Status changed from Open to Feedback

Do you still have a z: drive? Usually that entry shows the closest existing match which is still a valid path -e.g. z:\sig\data_2

if the "missions..." folder was removed.

#2 - 2018-12-19 06:53 AM - Harrissou Santanna

Do you still have a z: drive?

No. The Z:/ drive is a shortcut to a network drive and the connection was lost at the time I open QGIS.

Maybe it should open the main folder listing drives in this case (if it exists on all platforms)? Would be coherent with the behavior of missing folders (ie,

opening the parent folder). I don't have idea for the label, however.

#3 - 2019-03-02 09:17 AM - Harrissou Santanna

- Status changed from Feedback to Open

#4 - 2019-03-02 09:19 AM - Giovanni Manghi

pushing the affected version?
